﻿-- Daily Tamer Check
-- by Fluffies
-- EU-Well of Eternity

    
local tab = { ["Pandaren Spirits:"] = {
                  [32434] = "Townlong Steppes (Fire Spirit)",
                  [32439] = "Dread Wastes (Water Spirit)",
                  [32441] = "Kun-Lai Summit (Earth Spirit)",
                  [32440] = "The Jade Forest (Air Spirit)"},
               ["Pandaria Tamers:"] = {
                  [31957] = "Dread Wastes (Shu)",
                  [31991] = "Townlong Steppes (Zusshi)",
                  [31956] = "Kun-Lai Summit (Yon)",
                  [31955] = "Valley of the Four Winds (Nishi)",
                  [31954] = "Krasarang Wilds (Mo'ruk)",
                  [31953] = "The Jade Forest (Hyuna)",
                  [31958] = "Vale of Eternal Blossoms (Aki)"},
               ["Other GM Tamers:"] = {
                  [31935] = "Icecrown (Major Payne)",
                  [31926] = "Shadowmoon Valley (Antari)",
                  [31916] = "Deadwind Pass (Lydia Accoste)",
                  [31909] = "Winterspring (Trixxy)",
                  [31971] = "Uldum (Obalis)"} }

-- string colors
local LIGHT_RED   = "|cffff6060"
local LIGHT_GREEN = "|cff71FF71"
local GREY        = "|cff888888"
local function AddColor(str,color)
 return color..str.."|r"
end

local frame,btnclose

local function DrawTCheckFrame()
 frame:ClearLines();
 frame:AddLine("Daily Tamer Check:");

  table.foreach(tab,function(k,v)
   frame:AddLine(" ");
   frame:AddLine(k);
   table.foreach(v,
    function(questID,questName)
    if IsQuestFlaggedCompleted(questID) then 
     frame:AddDoubleLine(AddColor(questName,GREY),AddColor("done",LIGHT_GREEN))
    else
     frame:AddDoubleLine(AddColor(questName,GREY),AddColor("available",LIGHT_RED))
    end
   end)
  end)
 frame:AddLine(" ");
 frame:AddLine(" ");
end

local function tamerquestcheck()

 if not frame then
  frame = CreateFrame( "GameTooltip", "tchecktooltip", nil, "GameTooltipTemplate");
 end
  frame:SetFrameStrata("DIALOG")
  frame:SetOwner(UIParent);
  frame:EnableMouse(true)
  frame:SetToplevel(true)
  frame:SetMovable()
  frame:SetPadding(16)
  frame:RegisterForDrag("LeftButton")
  frame:SetScript("OnDragStart", function(self) 
			self:StartMoving( )
	 end)
  frame:SetScript("OnDragStop", function(self) 
 		self:StopMovingOrSizing() 
 	end)

 DrawTCheckFrame()
 if not btnclose then
  btnclose = CreateFrame("Button", "tcheckbutton", frame, "UIPanelButtonTemplate")
 end
 btnclose:SetPoint("BOTTOMRIGHT", frame, "BOTTOMRIGHT",-10,10)
 btnclose:SetWidth(150);
 btnclose:SetText("Close");
 btnclose:SetScript("OnClick", function(self)
  frame:Hide();
 end)
 btnclose:Show();
 frame:Show();
end

--[[
local eventframe = CreateFrame("Frame")
eventframe:RegisterEvent("QUEST_FINISHED")
local function eventHandler(self, event, ...)
 if event == "QUEST_FINISHED" then
  eventframe:QUEST_FINISHED()
 end
end
eventframe:SetScript("OnEvent", eventHandler)

function eventframe:QUEST_FINISHED()
 if frame and frame:IsVisible() then
  DrawTCheckFrame();
 end
end
]]--

-- slash command
SLASH_DAILYTAMERCHECK1 = "/dtcheck"
SLASH_DAILYTAMERCHECK2 = "/dtc"
SlashCmdList["DAILYTAMERCHECK"] = tamerquestcheck